Package org.eclipse.emf.compare.rcp.internal.match

# Class EqualityHelperExtensionProviderDescriptorRegistryListener

java.lang.Object
org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener
org.eclipse.emf.compare.rcp.internal.match.EqualityHelperExtensionProviderDescriptorRegistryListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.runtime.IRegistryEventListener`

public class EqualityHelperExtensionProviderDescriptorRegistryListener extends AbstractRegistryEventListener
Listener for contributions to the match engine extension.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATT_CLASS`
Attribute name for the equality helper extension provider implementation.

## Constructor Summary

Constructors
Constructor
Description
`EqualityHelperExtensionProviderDescriptorRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, EqualityHelperExtensionProvider.Descriptor.Registry registry)`
Creates a new registry listener with the given equality helper extension provider registry to which extension will be registered.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`addedValid(org.eclipse.core.runtime.IConfigurationElement element)`
Process the given element as the addition of a valid element extension.
`protected boolean`
`removedValid(org.eclipse.core.runtime.IConfigurationElement element)`
Process the given element as the removal of a valid element extension.
`protected boolean`
`validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)`
Validates if the given element is an element for the given extension and is well constructed.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`added, added, log, log, log, logMissingAttribute, readElement, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATT_CLASS

public static final String ATT_CLASS
Attribute name for the equality helper extension provider implementation.

See Also:
  - Constant Field Values

## Constructor Details

### EqualityHelperExtensionProviderDescriptorRegistryListener

public EqualityHelperExtensionProviderDescriptorRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, EqualityHelperExtensionProvider.Descriptor.Registry registry)
Creates a new registry listener with the given equality helper extension provider registry to which extension will be registered.

Parameters:
  `pluginID` - The pluginID of the extension point to be monitored.
  `extensionPointID` - The extension point ID to be monitored.
  `log` - The log object to be used to log error and/or warning.
  `registry` - the equality helper extension provider registry to which extension will be registered.

## Method Details

### validateExtensionElement

protected boolean validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)
Validates if the given element is an element for the given extension and is well constructed. Returns true if the element should be further parsed for addition or removal.

Specified by:
  `validateExtensionElement` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to validate.
Returns:
  true if the element should be further parsed for addition or removal, else otherwise.

### addedValid

protected boolean addedValid(org.eclipse.core.runtime.IConfigurationElement element)
Process the given element as the addition of a valid element extension.

Specified by:
  `addedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be added.
Returns:
  true if the given element has been added and if its children should be processed, false otherwise.

### removedValid

protected boolean removedValid(org.eclipse.core.runtime.IConfigurationElement element)
Process the given element as the removal of a valid element extension.

Specified by:
  `removedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be removed.
Returns:
  true if the given element has been removed and if its children should be processed, false otherwise.